﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="CustomerAttributesEditorControl.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Binding.AttributeValues.CustomerAttributesEditorControl" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/Binding/AttributeValues/CustomerAttributesEditor.ascx"
  TagPrefix="uc" TagName="AttributesEditor" %>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="CollapsableBox" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.CustomerAttributes %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form">
                  <tbody>
                    <uc:AttributesEditor runat="server" ID="AttributeValues" />
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
        <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
      </td>
    </tr>
  </tbody>
</table>
