﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DiscountCodeViewer.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Viewer.DiscountCodeViewer" %>
<%@ Import Namespace="Core.Web.Constants" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<%@ Register Src="~/Admin/Controls/Binding/Discounts/DiscountCodeProductsViewer.ascx"
  TagName="DiscountCodeProducts" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/Discounts/DiscountCodeCategoriesViewer.ascx"
  TagName="DiscountCodeCategories" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/Discounts/DiscountCodeCustomersViewer.ascx"
  TagName="DiscountCodeCustomers" TagPrefix="uc" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.DiscountCodeDetails %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="CodeFieldView" InputToDisplayID="CodeLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="CodeLabel" runat="server" Template-PropertyName="Code" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="AmountFieldView" InputToDisplayID="AmountLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="AmountLabel" runat="server" Template-PropertyName="Amount" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                      </td>
                      <td class="control-value">
                        <UI:BooleanLabel ID="SingleLabel" runat="server" Template-PropertyName="Single" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="DiscountTypeFieldView" InputToDisplayID="DiscountTypeLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="DiscountTypeLabel" runat="server" Template-PropertyName="DiscountType.Name"
                          Template-DisplayName="Discount Type" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="ExpiryDateFieldView" InputToDisplayID="ExpiryDateLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="ExpiryDateLabel" runat="server" Template-PropertyName="ExpiryDate" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:StaticLabel runat="server" ID="DiscountCodeCategoriesLabel" />
                      </td>
                      <td class="control-value">
                        <uc:DiscountCodeCategories ID="DiscountCodeCategories" runat="server" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:StaticLabel runat="server" ID="DiscountCodeProductsLabel" />
                      </td>
                      <td class="control-value">
                        <uc:DiscountCodeProducts ID="DiscountCodeProducts" runat="server" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:StaticLabel runat="server" ID="DiscountCodeCustomersLabel" />
                      </td>
                      <td class="control-value">
                        <uc:DiscountCodeCustomers ID="DiscountCodeCustomers" runat="server" />
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
      </td>
    </tr>
  </tbody>
</table>
