﻿<%@ Page Language="C#" MasterPageFile="~/Admin/CoreAdmin.Master" AutoEventWireup="true" CodeBehind="Login.aspx.cs" Inherits="Core.Web.Admin.Login" %>
<%@ Import namespace="Core.Web.Constants.UI"%>

<%@ Import Namespace="Core.Web" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Content" runat="server">
  <table width="100%">
    <tr>
      <td id="leftColumn">
      </td>
      <td id ="centerColumn" style="width: 365px;">
        <div class="management-buttons flo">
          <h2 class="edit-header"><b><%=UI.Current.AdminLoginPageTitle%></b></h2>
        </div>

        <script type="text/javascript" src="<%=Global.ApplicationPath%>admin/Files/js/LoginForm.js"></script>

        <Ajax:UpdatePanel runat="server" ID="LoginUpdatePanel">
          <ContentTemplate>
            <table style="width: 365px;" cellspacing="15" cellpadding="0" border="0" class="data-area-full">
              <tbody>
                <tr>
                  <td class="form1">
                    <div class="error">
                      <UI:ValidationSummary runat="server" ID="Errors" />
                    </div>
                    <UI:ActionResultView runat="server" ID="ActionResultView" ClearActionResultAfterRender="true" />

                    <fieldset>
                      <table class="line-form login-form">                        
                        <tbody>                          
                          <tr class="inputs-line">
                            <td class="label" style="width:33%;">
                              <UI:FieldView runat="server" ID="FieldView1" InputToDisplayID="LoginBox" />
                            </td>
                            <td class="control">
                              <UI:TextBox ID="LoginBox" runat="server" TabIndex="1" Template-DisplayName="Login"
                                ExtendedTemplate-HighlightOnFocus="true" CssClass="text-field text-field-225" />
                            </td>
                          </tr>
                          <tr class="inputs-line">
                            <td class="label" style="width:33%;">
                              <UI:FieldView runat="server" ID="NameFieldView" InputToDisplayID="PasswordBox" />
                            </td>
                            <td class="control">
                              <UI:TextBox ID="PasswordBox" runat="server" TabIndex="2" TextMode="Password" Template-DisplayName="Password"
                                MaxLength="256" ExtendedTemplate-HighlightOnFocus="true" CssClass="text-field text-field-225" />
                            </td>
                          </tr>
                          <tr class="inputs-line checkbox-region">
                            <td class="label">
                              <label for="<%=RememberMe.ClientID%>"><%=UI.Current.RememberMe %></label>
                            </td>
                            <td class="control">
                              <input type="checkbox" runat="server" tabindex="3" id="RememberMe" class="checkbox" />
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </fieldset>
                  </td>
                </tr>
                <tr>
                  <td>
                    <div style="float:left;margin-bottom:10px">
                      <a class="button button-fleft" id="<%=submitButtonID%>" href="javascript:void(0);" onclick="<%=LoginUpdatePanel.GetPostBackEventReference(actions.Submit)%>">
                        <span><%=ActionsUI.Current.LogInActionTitle %></span>
                      </a>
                      <a class="button button-fleft" id="<%=resetButtonID%>" href="javascript:void(0);">
                        <span><%=ActionsUI.Current.ResetActionTitle %></span>
                      </a>
                    </div>
                    <span class="obligatory-fields"><%=UI.Current.RequiredMessage %></span>
                  </td>
                </tr>
              </tbody>
            </table>
            <asp:CustomValidator ID="CredentialsValidator" runat="server" EnableClientScript="false"
              ErrorMessage="" OnServerValidate="ValidateUser" Display="None" />
          </ContentTemplate>
        </Ajax:UpdatePanel>
      </td>
      <td>
      </td>
    </tr>
  </table>
</asp:Content>
