﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="MainMenu.ascx.cs" Inherits="Core.Web.Admin.PageElements.MainMenu" %>
<%@ Import Namespace="Core.Web"%>
<%@ Import Namespace="iFramework.Core.Utilities"%>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<ul class="main-nav" id="mainMenuGroups">
  <asp:Repeater ID="MenuItemsRepeater" runat="server">
    <ItemTemplate>
      <li class="<%#Eval("CssClass")%>">
        <span><a runat="server" class="menu-png" href="javascript:void(0);"><%#TextUtility.FormatText(Eval("Title") as String) %></a></span>
      </li>
    </ItemTemplate>
  </asp:Repeater>
  <li class="front">
    <span class="menu-item-title"><a class="menu-png" target="_blank" href="<%= UrlBuilder.Home %>"><%=FrontEndTitle%></a></span></li>
</ul>
<input type="hidden" id="ChosenItemIndexControl" runat="server" />

<script type="text/javascript" language="javascript">

  $(function() {
    $('.menu-png').pngFix();
    $('li.front').bind('mouseover', function() {
      $(this).addClass('over');
    });
    $('li.front').bind('mouseout', function() {
      $(this).removeClass('over');
    });
    
    mainMenu = new MainMenu('#mainMenuGroups', <%=MenuItems%>, '#mainMenuItems', '#menuItemsHeader', <%=CurrentModuleID%>, {
      serviceUrl : '<%=Global.ApplicationPath%>Admin/MenuSubItemsHandler.aspx'
    });
  });
  
</script>