﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="OrderItemListingPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.OrderItemPages.OrderItemListingPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Listing/OrderItemListing.ascx" TagName="OrderItemListing" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/HorizontalToolbar.ascx" TagPrefix="uc" TagName="HorizontalToolbar" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="VerticalToolbar" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="OrderItemListingUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <uc:HorizontalToolbar runat="server" ID="TopToolbar" ShouldUpdateVisibility="false"/>
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>
                    <tr>
                        <td valign="top" class="data-area">
                            <uc:OrderItemListing ID="OrderItemListing" runat="server"></uc:OrderItemListing>
                        </td>
                        <td valign="top">
                            <uc:VerticalToolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
            <uc:HorizontalToolbar runat="server" ID="BottomToolbar" />
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
