﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Admin/CoreAdmin.Master" AutoEventWireup="true" CodeBehind="SiteListingPage.aspx.cs" Inherits="Core.Web.Admin.Pages.SitePages.SiteListingPage" %>

<%@ Register Src="~/Admin/Controls/Listing/SiteListing.ascx" TagName="SiteListing" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/HorizontalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="ProductListingUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <uc:Toolbar runat="server" ID="TopToolbar" ShouldUpdateVisibility="false"/>
            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                <tbody>
                    <tr>
                        <td>
                            <uc:SiteListing ID="SiteListing" runat="server"></uc:SiteListing>
                        </td>
                    </tr>
                </tbody>
            </table>
            <uc:Toolbar runat="server" ID="BottomToolbar" />
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
