﻿<%@ Page Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="ContactUs.aspx.cs" Inherits="Core.Web.ContactUs" EnableEventValidation="false" %>
<%@ Import Namespace="Core.DBO.Static"%>
<%@ Import Namespace="Core.Web.Constants.UI"%>

<%@ Import namespace="Core.Web.Constants"%>
<%@ Import Namespace="iFramework.BLL.Web" %>
<%@ Import Namespace="Core.Web" %>

<%@ Register Src="~/Controls/Layout/BreadCrumbs.ascx" TagName="BreadCrumbs" TagPrefix="uc" %>
<%@ Register Src="~/Controls/Layout/ContactUsControl.ascx" TagName="ContactUsControl" TagPrefix="uc" %>

<asp:Content ID="Content1" ContentPlaceHolderID="MainPlaceHolder" runat="server">
<Front:PopupValidationSummary runat="server" ID="PopupSummary" SeeInContainers="true" />
<Front:PopupActionResult runat="server" ID="ActionResult" />

  <div class="Pathextended">
    <uc:BreadCrumbs runat="server" ID="BreadCrumbs" />
  </div>
  <div class="Area">
    <div class="AreaContent">
      <h2><%=UI.Current.ContactUsPageTitle%></h2>
      <div class="SysInfo">
        <p>
          <span class="Selected"><%=GlobalSettingsCollection.Instance.CompanyNameValue%></span></p>
        <p>
          <%=Constants.Current.CompanyAddress %>
        </p>
      </div>
    </div>
  </div>
  <div class="Area">
    <div class="FormSection">
      <h2><%=Metadata.Name%></h2>
      <Ajax:UpdatePanel runat="server" ID="ContactUsUpdatePanel">
        <ContentTemplate>
          <uc:ContactUsControl runat="server" ID="ContactUsControl" />
          <div class="FormControl">        
            <ul class="Groups">
              <li class="GroupA">
                <ul>
                  <li>
                    <Front:SpanButton runat="server" OnClick="SendHandler" ID="SendButton"
                      CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-A" />
                  </li>
                  <li>
                    <Front:SpanButton runat="server" OnClick="ResetFields" ID="ResetButton"
                      CssClass="InputButton InputButtonViewA InputButtonFixed InputButtonSize-B" />
                  </li>
                </ul>
              </li>
              <li class="GroupB">
                <ul>
                  <li>
                    <p class="Note">
                      <%=UI.Current.MandatoryFieldsDisclaimer%></p>
                  </li>
                </ul>
              </li>
            </ul>
          </div>        
        </ContentTemplate>
      </Ajax:UpdatePanel>
    </div>
  </div>
</asp:Content>
