﻿-- =============================================
-- Author:	Vasili Baranov
-- Create date: 21.05.2009
-- Description:	Selects a list of CategoryProductsCount objects, connecting category ids and category products quantities.
-- Does not include categories, that do not contain suitable products.
-- =============================================

CREATE PROCEDURE SelectProductCounts 
	-- Add the parameters for the stored procedure here
	@productsQuery nvarchar(2000) = ''
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

	DECLARE @SQL nvarchar(3000)

	--This method sucks, as it is vulneralble for the sql injection, but i have no time for improving

	SET @SQL = 
	'SELECT dbo.ProductCategories.CategoryID AS CategoryID, COUNT(*) AS ProductsCount, 
	dbo.Categories.Name AS Name, dbo.Categories.ParentCategoryID AS ParentCategoryID,
	dbo.Categories.Enabled AS Enabled,  dbo.Categories.OrderNumber AS OrderNumber
	FROM dbo.ProductCategories 
	INNER JOIN dbo.Categories ON dbo.ProductCategories.CategoryID = dbo.Categories.CategoryID
	INNER JOIN (' + @productsQuery + ') AS ProductsTable ON dbo.ProductCategories.ProductID = ProductsTable.ProductID
	GROUP BY dbo.ProductCategories.CategoryID, dbo.Categories.Name, dbo.Categories.ParentCategoryID, 
	dbo.Categories.Enabled, dbo.Categories.OrderNumber'
--	UNION 
--	SELECT dbo.Categories.CategoryID AS CategoryID, 0, 
--	dbo.Categories.Name AS Name, dbo.Categories.ParentCategoryID AS ParentCategoryID,
--	dbo.Categories.Enabled AS Enabled,  dbo.Categories.OrderNumber AS OrderNumber
--	FROM dbo.Categories 
--	WHERE( NOT EXISTS(SELECT * FROM dbo.ProductCategories WHERE dbo.ProductCategories.CategoryID = dbo.Categories.CategoryID) )'

	EXEC(@SQL)
	
END