﻿<%@ Control Language="C#" AutoEventWireup="true" 
CodeBehind="CurrencyRateLookupListing.ascx.cs" 
Inherits="Core.Web.Admin.Controls.Listing.CurrencyRateLookupListing" %>

<%@ Import Namespace="Core.Web" %>

<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
            <UI:ActionResultView runat="server" ID="CustomActionResult" />
        </td>
    </tr>
    <tr>
        <td>
            <Grid:CurrencyGridView runat="server" ID="Grid" ShowCheckBoxColumn="false">
                <Columns>
                    <List:GridColumn Header="Name" PropertyName="Name" Width="43" />
                    <List:GridColumn Header="Currency Code" PropertyName="CurrencyCode" Width="43" />
                </Columns>
            </Grid:CurrencyGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" /><span class="grid-area-filter-item">
                <label class="line-label">
                    <%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>