﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ModuleAccountPermissionListing.ascx.cs" 
Inherits="Core.Web.Admin.Controls.Listing.ModuleAccountPermissionListing" %>
<%@ Import namespace="Core.Web"%>


<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
           <UI:ActionResultView runat="server" ID="CustomActionResult" />
       </td>
    </tr>
    <tr>
        <td>
            <Grid:ModuleAccountGridView runat="server" ID="Grid" >
                <Columns>
                  <List:GridColumn Header="Name" PropertyName="ModuleName" Width="40"/>      
                  <List:BinaryGridColumn Header="Status" PropertyName="ModuleEnabled" Width="20"/>
                  <Grid:PermissionsColumn Header="Permission Level" PropertyName="PermissionType.Name" Width="30" />
                </Columns>
            </Grid:ModuleAccountGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" />
            <span class="grid-area-filter-item">
                <label class="line-label"><%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>