﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SubscriptionOfferListing.ascx.cs"
    Inherits="Core.Web.Admin.Controls.Listing.SubscriptionOfferListing" %>
<%@ Import Namespace="Core.Web" %>
<table class="data" cellpadding="0" cellspacing="15" border="0">
    <tr>
        <td>
            <Filter:FiltersArea runat="server" ID="Filters">
                <Filters>
                    <UI:FilterTextBox runat="server" ID="SearchBox" />
                </Filters>
            </Filter:FiltersArea>
        </td>
    </tr>
    <tr>
        <td>
           <UI:ActionResultView runat="server" ID="CustomActionResult" />
       </td>
    </tr>
    <tr>
        <td>
            <Grid:SubscriptionOfferGridView runat="server" ID="Grid" OnDataRetriving="DataRetrivingHandler">
                <Columns>
                  <List:GridColumn Header="Title" PropertyName="Product.Title" Width="42"/>      
                  <List:GridColumn Header="Length" PropertyName="Length" Width="10"/>      
                  <List:MoneyGridColumn Header="Price" PropertyName="Product.Price" Width="20"/>      
                </Columns>
                <ActionColumns>
                    <List:DetailsActionColumn Width="3" CssClass="butt-edit png cursor-hand" 
                    InactiveCssClass="butt-edit-dis png cursor-hand" />
                    <List:DeleteActionColumn Width="3" CssClass="butt-delete png cursor-hand" 
                    InactiveCssClass="butt-delete-dis png cursor-hand" />
                </ActionColumns>
            </Grid:SubscriptionOfferGridView>
        </td>
    </tr>
    <tr>
        <td>
            <List:ItemsCounter runat="server" ID="ItemsCounter" />
            <span class="grid-area-filter-item">
                <label class="line-label"><%=PageSize.FieldView%></label>
                <List:PageSizeChanger runat="server" ID="PageSize"/>
            </span>
            <List:Paginator runat="server" ID="GridPaginator"/>
        </td>
    </tr>
</table>
