﻿<%@ Import namespace="Core.Web.Constants.UI"%>
<%@ Import namespace="Core.Web.Constants"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AddressViewer.ascx.cs"
  Inherits="Core.Web.Admin.Controls.Viewer.AddressViewer" %>
<%@ Import Namespace="Core.DBO.Service.Security" %>
<%@ Import Namespace="Core.DBO.Static" %>
<%@ Import Namespace="Core.Web.Objects.Utility" %>
<%@ Import Namespace="Core.DBO.Entity" %>
<%@ Import Namespace="Core.Web" %>
<%@ Import Namespace="Core.Web.Objects" %>
<%@ Register Src="~/Admin/Controls/HorizontalButtonsPanel.ascx" TagPrefix="uc" TagName="ButtonsPanel" %>
<table cellspacing="15" cellpadding="0" border="0" class="data">
  <tbody>
    <tr>
      <td class="form1">
        <div class="error">
          <UI:ValidationSummary runat="server" ID="Errors" />
        </div>
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
            <Header>
              <h3 class="delimiter">
                <span><%=UI.Current.DeliveryAddressDetails %></span></h3>
            </Header>
            <Body>
              <div class="form-content">
                <table class="line-form-value">
                  <tbody>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="AddressLine1FieldView" InputToDisplayID="AddressLine1Label" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="AddressLine1Label" runat="server" Template-PropertyName="AddressLine1" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="AddressLine2FieldView" InputToDisplayID="AddressLine2Label" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="AddressLine2Label" runat="server" Template-PropertyName="AddressLine2" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="PostcodeFieldView" InputToDisplayID="PostcodeLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="PostcodeLabel" runat="server" Template-PropertyName="Postcode" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="TownNameFieldView" InputToDisplayID="TownNameLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="TownNameLabel" runat="server" Template-PropertyName="TownName" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="CountyNameFieldView" InputToDisplayID="CountyNameLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="CountyNameLabel" runat="server" Template-PropertyName="CountyName" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <UI:FieldView runat="server" ID="CountryNameFieldView" InputToDisplayID="CountryNameLabel" />
                      </td>
                      <td class="control-value">
                        <UI:Label ID="CountryNameLabel" runat="server" Template-PropertyName="CountryName" />
                      </td>
                    </tr>
                    <tr>
                      <td class="label-value">
                        <asp:Label runat="server" ID="IsMainFieldView" CssClass="<%=CssConstants.Current.AdminLabelClass%>"
                          Text="Use as default:" />
                      </td>
                      <td class="control-value">
                        <asp:Label runat="server" ID="IsMainLabel" CssClass="<%=CssConstants.Current.AdminLabelClass%>"/>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </Body>
          </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
    <tr>
      <td>
        <uc:ButtonsPanel runat="server" ID="Buttons" />
      </td>
    </tr>
  </tbody>
</table>
