﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SiteMapExport.ascx.cs"
  Inherits="Core.Web.Admin.Controls.XMLSiteMap.SiteMapExport" %>
<%@ Import namespace="Core.Web.Constants.UI"%>
<table class="data" cellpadding="0" cellspacing="15" border="0" runat="server" id="content">
  <tbody>
    <tr>
      <td class="form1" runat="server" id="formContent">
        <UI:ActionResultView runat="server" ID="CustomActionResult" />
        <fieldset>
          <Control:CollapsableBox runat="server" ID="Messages" IsCollapsable="true">
          <Header>
            <h3 class="delimiter">
              <span><%=UI.Current.SitemapFiles%></span></h3>
          </Header>
          <Body>
            <ul class="SiteMapSourcesList">
              <asp:Repeater runat="server" ID="SiteMaps">
                <ItemTemplate>
                  <li><span class="SiteMapPartTitle">
                    <%#GetPageTypeName((int)Eval("PageTypeID"))%></span>&nbsp;
                    <%#GetLinks((int)Eval("PageTypeID"), Container.ItemIndex)%>
                    <%#GetFileList((int)Eval("PageTypeID"))%>
                  </li>
                </ItemTemplate>
              </asp:Repeater>
              <span class="SiteMapPartTitle"><%=UI.Current.IndexFile%></span>&nbsp;
              <%if (ExistIndexFile())
                {%>
              (<a id="<%=UpdateLinkPrefix%>" href="#" onclick="<%=UpdateIndexReference%>"><%=UpdateTitle%></a>
              | <a id="<%=DeleteLinkPrefix%>" href="#" onclick="<%=DeleteIndexReference%>">
                <%=DeleteTitle%></a>):
              <ul class="SitemapFileList">
                <li><a href="<%=IndexUrl%>" target="_blank">
                  <%=IndexTitle%></a></li>
              </ul>
              <%}
                else
                {%>
              (<a id="<%=UpdateLinkPrefix%>" href="#" onclick="<%=UpdateIndexReference%>"><%=CreateTitle%></a>)
              <%} %>
            </ul>
          </Body>
        </Control:CollapsableBox>
        </fieldset>
      </td>
    </tr>
  </tbody>
</table>
