﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="OrderListingPage.aspx.cs" Inherits="Core.Web.Admin.Pages.OrderPages.OrderListingPage" MasterPageFile="~/Admin/CoreAdmin.Master" ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>

<%@ Register Src="~/Admin/Controls/Listing/OrderListing.ascx" TagName="OrderListing" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/HorizontalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/Controls/SimpleLookup.ascx" TagPrefix="uc" TagName="SimpleLookup" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="OrderListingUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <uc:Toolbar runat="server" ID="TopToolbar" ShouldUpdateVisibility="false"/>
            <uc:SimpleLookup runat="server" ID="CustomersLookup" InnerControlVirtualPath="~/Admin/Controls/Listing/CustomerLookupListing.ascx" />
            <table width="100%" cellspacing="0" cellpadding="0" border="0" class="data-area">
              <tbody>
                <tr>
                  <td>
                    <uc:OrderListing ID="OrderListing" runat="server"></uc:OrderListing>
                  </td>
                </tr>
              </tbody>
            </table>
            <uc:Toolbar runat="server" ID="BottomToolbar" />
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
