﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DeliveryAddressEditor.ascx.cs" Inherits="Core.Web.Controls.Customers.DeliveryAddressEditor" %>

<%@ Register Src="~/Controls/Customers/AddressListEditor.ascx" TagPrefix="uc" TagName="AddressListEditor" %>
<%@ Register Src="~/Controls/Customers/AddressTextEditor.ascx" TagPrefix="uc" TagName="AddressTextEditor" %>

<div class="FormSection">
	<div class="GroupedForm">
		<ul class="ColBase">
			<li class="ColA">
			  <div class="FormRow">
				  <dl>
					  <dt>								  
						  <UI:FieldView runat="server" ID="PostcodeFieldView" InputToDisplayID="PostcodeField" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
					  </dt>
					  <dd>
					    <span class="InputLine InputLineSize-C">
						    <UI:TextBox runat="server" ID="PostcodeField" Template-PropertyName="Postcode" />
						  </span>
            </dd>
			    </dl>
			  </div>				  					  
			  <div class="FormRow">
				  <dl>
					  <dt>								  
						  <UI:FieldView runat="server" ID="AddressFieldView" InputToDisplayID="AddressField" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
					  </dt>
					  <dd>
					    <span class="InputLine InputLineSize-C">
						    <UI:AddressLineTextBox runat="server" ID="AddressField" Template-PropertyName="AddressLine1" />
						  </span>
            </dd>
			    </dl>
			  </div>
			  <div class="FormRow">
				  <dl>
					  <dt>								  
						  <UI:FieldView runat="server" ID="Address2FieldView" InputToDisplayID="Address2Field" RenderAsterix="true" NormalCssClass="InputLine LabelSize-CC" ErrorCssClass="Error" AsterixCssClass="Req" />
					  </dt>
					  <dd>
					    <span class="InputLine InputLineSize-C">
						    <UI:AddressLineTextBox runat="server" ID="Address2Field" Template-PropertyName="AddressLine2" />
						  </span>
            </dd>
			    </dl>
			  </div>						  				  
			</li>
			<li class="ColB">
        <uc:AddressTextEditor ID="AddressFields" runat="server" Template-PropertyName="Town" />
        <uc:AddressListEditor ID="AddressLists" runat="server" Template-PropertyName="Town" />
			</li>
		</ul>
	</div>
</div>